LINUX.ORG.RU

Java даунгрейд

 , ,


0

1

Пару дней назад обновил джаву и слетел фикс, который нормально рендерит шрифты. Выпилил новые пакеты, пытаюсь установить снова старую версию:

user@nix ~ $ apt-cache policy openjdk-7-jdk
openjdk-7-jdk:
  Установлен: (отсутствует)
  Кандидат:   7u75-2.5.4-1~trusty1
  Таблица версий:
     7u75-2.5.4-1~trusty1 0
        500 http://archive.ubuntu.com/ubuntu/ trusty-updates/main amd64 Packages
        500 http://security.ubuntu.com/ubuntu/ trusty-security/main amd64 Packages
     7u71-2.5.3-0ubuntu0.14.04.1ppa1 0
        500 http://ppa.launchpad.net/no1wantdthisname/openjdk-fontfix/ubuntu/ trusty/main amd64 Packages
     7u51-2.4.6-1ubuntu4 0
        500 http://archive.ubuntu.com/ubuntu/ trusty/main amd64 Packages

user@nix ~ $ sudo apt-get install -f openjdk-7-jdk=7u71-2.5.3-0ubuntu0.14.04.1ppa1
Чтение списков пакетов… Готово
Построение дерева зависимостей       
Чтение информации о состоянии… Готово
Некоторые пакеты невозможно установить. Возможно, вы просите невозможного,
или же используете нестабильную версию дистрибутива, где запрошенные вами
пакеты ещё не созданы или были удалены из Incoming.
Следующая информация, возможно, поможет вам:

Пакеты, имеющие неудовлетворённые зависимости:
 openjdk-7-jdk : Зависит: openjdk-7-jre (= 7u71-2.5.3-0ubuntu0.14.04.1ppa1)
E: Невозможно исправить ошибки, у вас отложены (held) битые пакеты.
Полученную ошибку гуглил, но как я понял, у других людей она возникала при попытках просто поставить любой пакет, у меня же другие пакеты нормально ставятся. Пробовал через Synaptic всем зависимостям, где была возможность, поставить эту же версию: http://i.imgur.com/9yYkKtk.png

Пробовал поставить Oracle Java, но это не решило проблему рендеринга шрифтов в джава приложениях. Так как же я могу поставить «нужную» версию джавы из того ppa?


Зачем тебе фикс, который исправляет шрифты. Использую версию со своим исправлением, исключительно с нужным приложением, не трогай системную jdk, заменяя ее на свою дырявую.
Если у тебя проблема с idea, то может помочь:

-Dswing.aatext=true
-Dawt.useSystemAAFontSettings=gasp
Подробней можешь почитать здесь.

anonymous_sama ★★★★★ ()
Последнее исправление: anonymous_sama (всего исправлений: 1)

Дауж, не подумал сразу все зависимости прописать отдельно через консоль. Проблема решена:

sudo apt-get install openjdk-7-jdk=7u71-2.5.3-0ubuntu0.14.04.1ppa1 openjdk-7-jre=7u71-2.5.3-0ubuntu0.14.04.1ppa1 openjdk-7-jre-headless=7u71-2.5.3-0ubuntu0.14.04.1ppa1 
Непонятно только почему Synaptic тогда жаловался, ибо этим же пакетам нужные версии я и ставил.

hfoz ()

Рекомендую привести настройки DPI монитора в соответствие с реальными (заводскими), и проблема со шрифтами исчезнет.

iZEN ★★★★★ ()
Ответ на: комментарий от aprogrammer

У (Open)JDK7 в этом месяце EOL.

Все переходят в массовом порядке на (Open)JDK8.

iZEN ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.